Updating Group Settings
POST /edit/serverclass/<group name>
Create a new group:
curl -k -XPOST https://<SBM_HOST>:7769/edit/serverclass/<group name>
Header Input Parameters
| Name | Type | Description |
|---|---|---|
| Authorization | string | Base64 login and password for Smart Beat Manager authorization |
Body Input Parameters
| Name | Type | Description |
|---|---|---|
| newname | string | Group name |
| filters | array string | Filters used to determine which Smart Beat instances match this group |
| excludes | array string | Exclusions used to determine which Smart Beat instances do not match this group |
| apps | array string | Array of apps for Smart Beat in this group |
| systems | array string | Array of operating systems for this group; if omitted, Smart Beat with any OS are accepted |
| binaries | array string | Array of binaries for Smart Beat in this group |
Supported Errors
| Status | Error content | Error description |
|---|---|---|
| 400 | Server reloads now | Server is currently reloading data; retry in a few seconds |
| 400 | A group named <group> already exists | Group name from request already exists |
| 500 | <response write error> | Internal Smart Beat Manager error |
Examples
Example output parameters:
Success edit serverclass
PUT /edit/serverclass/<group name>
Update existing group settings:
curl -k -XPUT https://<SBM_HOST>:7769/edit/serverclass/<group name>
Header Input Parameters
| Name | Type | Description |
|---|---|---|
| Authorization | string | Base64 login and password for Smart Beat Manager authorization |
Body Input Parameters
| Name | Type | Description |
|---|---|---|
| newname | string | Group name |
| filters | array string | Filters used to determine which Smart Beat instances match this group |
| excludes | array string | Exclusions used to determine which Smart Beat instances do not match this group |
| apps | array string | Array of apps for Smart Beat in this group |
| systems | array string | Array of operating systems for this group; if omitted, Smart Beat with any OS are accepted |
| binaries | array string | Array of binaries for Smart Beat in this group |
Supported Errors
| Status | Error content | Error description |
|---|---|---|
| 400 | Server reloads now | Server is currently reloading data; retry in a few seconds |
| 400 | The group named <group> does not exist | Group name from request does not exist |
| 500 | <response write error> | Internal Smart Beat Manager error |
| 400 | A group named <group> already exist | Group name from request already exists |
Examples
Example output parameters:
Success edit serverclass
DELETE /edit/serverclass/<group name>
Delete a group:
curl -k -XDELETE https://<SBM_HOST>:7769/edit/serverclass/<group name>
Header Input Parameters
| Name | Type | Description |
|---|---|---|
| Authorization | string | Base64 login and password for Smart Beat Manager authorization |
Supported Errors
| Status | Error content | Error description |
|---|---|---|
| 400 | Server reloads now | Server is currently reloading data; retry in a few seconds |
| 400 | The group named <group> does not exist | Group name from request does not exist |
| 500 | <response write error> | Internal Smart Beat Manager error |
Examples
Example output parameters:
Success edit serverclass